## openslide 3.2.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.2)
if(POLICY CMP0011)
   cmake_policy(SET CMP0011 NEW)
endif(POLICY CMP0011)

if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
  message(FATAL_ERROR "In-source builds not allowed. Please make a new directory (called a build directory) and run CMake from there. (you may need to remove CMakeCache.txt ")
endif()

project(OpenSlide)

# configure the module path of modified modules
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# add modules for config.h setup
include(CheckIncludeFiles)

check_include_files("stdbool.h" HAVE_STDBOOL_H)

if(CMAKE_COMPILER_IS_GNUCXX) # also true when the code is compiled as c-code
  add_definitions(-DG_DISABLE_DEPRECATED -DG_DISABLE_SINGLE_INCLUDES)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99 -Wall -Wextra -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Wc++-compat -fvisibility=hidden -fno-common")
endif()

# definine the library version
set(OPENSLIDE_WORLD_VERSION "3")
set(OPENSLIDE_MAJOR_VERSION "2")
set(OPENSLIDE_MINOR_VERSION "4")
set(OPENSLIDE_VERSION_NUMBER ${OPENSLIDE_WORLD_VERSION}.${OPENSLIDE_MAJOR_VERSION}.${OPENSLIDE_MINOR_VERSION})

# create a config.h header-file
configure_file(${PROJECT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
add_definitions(-DHAVE_CONFIG_H)

include_directories(${CMAKE_CURRENT_BINARY_DIR} src)

add_subdirectory(src)
add_subdirectory(test)

=== src/CMakeLists.txt ===
# configure the build's output directories for the src folder
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin) # .exe, .dll
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib) # .so
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib) # .lib .a

# let's check whether all required dependecies are available
# and where they are located
set(TIFF_NAMES tiff libtiff itktiff)
set(JPEG_NAMES jpeg libjpeg itkjpeg itkjpeg8 itkjpeg12 itkjpeg16)
set(ZLIB_NAMES zlib itkzlib)
set(OPENJPEG_NAMES openjpeg itkopenjpeg)

find_package(JPEG REQUIRED)
find_package(OpenJPEG REQUIRED)
find_package(TIFF REQUIRED)
find_package(ZLIB REQUIRED)
find_package(GTK2 2.6 REQUIRED)

if(NOT IS_DIRECTORY ${GTK2_GLIB_INCLUDE_DIR} OR 
   NOT IS_DIRECTORY ${GTK2_CAIRO_INCLUDE_DIR} OR 
   NOT IS_DIRECTORY ${GTK2_GLIBCONFIG_INCLUDE_DIR})
  message(FATAL_ERROR "Not all required GTK dependencies found.")
endif()

include_directories(${JPEG_INCLUDE_DIR})
include_directories(${OPENJPEG_INCLUDE_DIR})
include_directories(${TIFF_INCLUDE_DIR})
include_directories(${GTK2_GLIB_INCLUDE_DIR})
include_directories(${GTK2_CAIRO_INCLUDE_DIR})
include_directories(${GTK2_GLIBCONFIG_INCLUDE_DIR})

# prepare the target library
file(GLOB source_files "*.c" "*.cpp")

# we want to compile all .c files as C++ code on windows
if(MSVC_IDE)
    set_source_files_properties(${source_files} PROPERTIES LANGUAGE CXX)
endif()

set(library_files ${source_files})

# on windows add header files for the IDE
# TODO: do this only on visual studio builds
if(MSVC_IDE)
    file(GLOB header_files "*.h")
    
    # there is no valigrind/callgrind support on windows machines    
    file(GLOB grind_files "valgrind.h" "callgrind.h")
    list(REMOVE_ITEM header_files ${grind_files})
    
    list(APPEND library_files ${header_files})
endif()

if(MSVC_IDE)
  configure_file(./openslide-cmake-dll.rc.in ${CMAKE_CURRENT_BINARY_DIR}/openslide-cmake-dll.rc)
  list(APPEND library_files ${CMAKE_CURRENT_BINARY_DIR}/openslide-cmake-dll.rc)
endif()

# debug postfix configuration
# - per default enabled on windows
# - disabled on non-windows machines
if(MSVC_IDE)
  option(OPENSLIDE_USE_DEBUG_POSTFIX "Use debug postfix" ON)
else()
  option(OPENSLIDE_USE_DEBUG_POSTFIX "Use debug postfix" OFF)
endif()

option(OPENSLIDE_SHOW_CONFIG_WARNINGS "Enable to display warnings during configuration." OFF)

# expose the debug postfix's value, so the user can tweak it
SET(OPENSLIDE_DEBUG_POSTFIX "d" CACHE TYPE STRING)

# activate the debug postfix in case the user chooses to use it
if(OPENSLIDE_USE_DEBUG_POSTFIX)
  set(CMAKE_DEBUG_POSTFIX ${OPENSLIDE_DEBUG_POSTFIX})
endif()

# finally create the project
add_library(openslide SHARED ${library_files})

# configure OpenSlide installation
install(TARGETS openslide
  RUNTIME DESTINATION bin
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

install(FILES openslide.h openslide-features.h
  DESTINATION include
)

if(MSVC_IDE)
  install(FILES ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/Debug/openslide${CMAKE_DEBUG_POSTFIX}.pdb
    DESTINATION bin
    CONFIGURATIONS Debug
  )
endif()

add_definitions(-D_OPENSLIDE_BUILDING_DLL)

if(CMAKE_COMPILER_IS_GNUCXX) # also true when the code is compiled as c-code
  add_definitions(-DG_DISABLE_DEPRECATED -DG_DISABLE_SINGLE_INCLUDES)
endif()

if(MSVC_IDE)
  add_definitions(-DOPJ_STATIC -D_CRT_SECURE_NO_WARNINGS)
endif()

#check whether we got debug versions of our required libraries and use them for linking if available (windows)
set( REQUIRED_LIBS
  ${JPEG_LIBRARY}
  ${OPENJPEG_LIBRARY}
  ${TIFF_LIBRARY}
  ${ZLIB_LIBRARY}
  ${GTK2_CAIRO_LIBRARY}
  ${GTK2_GLIB_LIBRARY}
  ${GTK2_GTHREAD_LIBRARY} )

# loop over all required libs
foreach(l ${REQUIRED_LIBS})

  if(OPENSLIDE_USE_DEBUG_POSTFIX)
    # try to find the library extension and inject the ${CMAKE_DEBUG_POSTFIX}
    # search for .a or .lib
    string(REGEX MATCH "[.]([lL][iI][bB]|[aA])" LIB_EXTERNSION "${l}")
    string(REGEX REPLACE "[.]([lL][iI][bB]|[sS][oO])" "${CMAKE_DEBUG_POSTFIX}${LIB_EXTERNSION}" DEBUG_${l} "${l}")

    # in case it is not there, revert to the initial library name
    if(NOT EXISTS "${DEBUG_${l}}")
      if (OPENSLIDE_SHOW_CONFIG_WARNINGS)
        message(WARNING "Did not find debug library for ${l}, linking against release version.")
      endif()
      set(DEBUG_${l} ${l})
    endif()
    
    # set the link libraries accordingly
    target_link_libraries( openslide 
      debug     ${DEBUG_${l}}
      optimized ${l} )
  else()
    target_link_libraries( openslide ${l} )
  endif()

endforeach(l)

=== debian/changelog ===
openslide (3.2.4-1) unstable; urgency=low

  * Initial release (Closes: #640027)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 01 Sep 2011 17:18:40 +0200

=== debian/control ===
Source: openslide
Section: libs
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.6.2), quilt (>= 0.46-7~),
 libjpeg-dev, libopenjpeg-dev, zlib1g-dev, libtiff-dev, libgtk2.0-dev
Standards-Version: 3.9.2
Homepage: http://openslide.org
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/openslide/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/openslide/trunk/

Package: libopenslide0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for reading whole slide image files
 OpenSlide is a C library that provides a simple interface to read whole-slide
 images also known as virtual slides.
 .
 Whole-slide images, also known as virtual slides, are large, high resolution
 images used in digital pathology. Reading these images using standard image
 tools or libraries is a challenge because these tools are typically designed
 for images that can comfortably be uncompressed into RAM or a swap file.
 Whole-slide images routinely exceed RAM sizes, often occupying tens of
 gigabytes when uncompressed. Additionally, whole-slide images are typically
 multi-resolution, and only a small amount of image data might be needed at a
 particular resolution.
 .
 This library currently supports:
  -Trestle (.tif)
  -Hamamatsu (.vms, .vmu)
  -Aperio (.svs, .tif)
  -MIRAX (.mrxs)
  -Generic tiled TIFF (.tif)
 .
 This package contains the libraries needed to run OpenSlide applications.

Package: libopenslide-dev
Provides: libopenslide0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libopenslide0 (= ${binary:Version})
Description: Development files for the OpenSlide library
 OpenSlide is a C library that provides a simple interface to read whole-slide
 images also known as virtual slides.
 .
 Whole-slide images, also known as virtual slides, are large, high resolution
 images used in digital pathology. Reading these images using standard image
 tools or libraries is a challenge because these tools are typically designed
 for images that can comfortably be uncompressed into RAM or a swap file.
 Whole-slide images routinely exceed RAM sizes, often occupying tens of
 gigabytes when uncompressed. Additionally, whole-slide images are typically
 multi-resolution, and only a small amount of image data might be needed at a
 particular resolution.
 .
 This library currently supports:
  -Trestle (.tif)
  -Hamamatsu (.vms, .vmu)
  -Aperio (.svs, .tif)
  -MIRAX (.mrxs)
  -Generic tiled TIFF (.tif)
 .
 This package contains development files needed to build OpenSlide applications.

Package: openslide-tools
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Manipulation and conversion tools for OpenSlide
 OpenSlide is a C library that provides a simple interface to read whole-slide
 images also known as virtual slides.
 .
 Whole-slide images, also known as virtual slides, are large, high resolution
 images used in digital pathology. Reading these images using standard image
 tools or libraries is a challenge because these tools are typically designed
 for images that can comfortably be uncompressed into RAM or a swap file.
 Whole-slide images routinely exceed RAM sizes, often occupying tens of
 gigabytes when uncompressed. Additionally, whole-slide images are typically
 multi-resolution, and only a small amount of image data might be needed at a
 particular resolution.
 .
 This library currently supports:
  -Trestle (.tif)
  -Hamamatsu (.vms, .vmu)
  -Aperio (.svs, .tif)
  -MIRAX (.mrxs)
  -Generic tiled TIFF (.tif)
 .
 This package contains command line tools for file manipulation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --parallel --with quilt $@ 

get-orig-source:
	./debian/get-orig-source

## openslide 3.2.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.2)
if(POLICY CMP0011)
  cmake_policy(SET CMP0011 NEW)
endif(POLICY CMP0011)
if(POLICY CMP0017)
  cmake_policy(SET CMP0017 OLD)
endif()

if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
  message(FATAL_ERROR "In-source builds not allowed. Please make a new directory (called a build directory) and run CMake from there. (you may need to remove CMakeCache.txt ")
endif()

project(OpenSlide)

# configure the module path of modified modules
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# add modules for config.h setup
include(CheckIncludeFiles)
include(CheckFunctionExists)

check_include_files("stdbool.h" HAVE_STDBOOL_H)
check_function_exists(fcntl HAVE_FCNTL)

if(WIN32)
  set(FOPEN_CLOEXEC_FLAG "\"N\"")
else()
  # XXX: should be setting FOPEN_CLOEXEC_FLAG to "e" on newer glibc
  set(FOPEN_CLOEXEC_FLAG "\"\"")
endif()

if(CMAKE_COMPILER_IS_GNUCXX) # also true when the code is compiled as c-code
  add_definitions(-DG_DISABLE_DEPRECATED -DG_DISABLE_SINGLE_INCLUDES)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -Wall -Wextra -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Wc++-compat -fvisibility=hidden -fno-common")
endif()

# definine the library version
set(OPENSLIDE_WORLD_VERSION "3")
set(OPENSLIDE_MAJOR_VERSION "2")
set(OPENSLIDE_MINOR_VERSION "5")
set(OPENSLIDE_VERSION_NUMBER ${OPENSLIDE_WORLD_VERSION}.${OPENSLIDE_MAJOR_VERSION}.${OPENSLIDE_MINOR_VERSION})

# create a config.h header-file
configure_file(${PROJECT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
add_definitions(-DHAVE_CONFIG_H)

include_directories(${CMAKE_CURRENT_BINARY_DIR} src)

add_subdirectory(src)
add_subdirectory(test)
add_subdirectory(tools)

=== debian/changelog ===
openslide (3.2.5-1) unstable; urgency=low

  * New upstream
  * Redo the man page directly using docbook.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 19 Dec 2011 17:53:33 +0100

openslide (3.2.4-2) unstable; urgency=low

  * Fix Vcs-Browser URL
  * Update man pages
  * Fix lintian warnings about d/copyright

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 07 Dec 2011 22:18:43 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.6.2), quilt (>= 0.46-7~),
+Build-Depends: debhelper (>= 8),
  libjpeg-dev, libopenjpeg-dev, zlib1g-dev, libtiff-dev, libgtk2.0-dev
 Standards-Version: 3.9.2
 Homepage: http://openslide.org
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/openslide/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/openslide/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/openslide/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/openslide/trunk/
 
 Package: libopenslide0
 Architecture: any
@@ -67,6 +67,7 @@
 Section: graphics
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: libtiff-tools
 Description: Manipulation and conversion tools for OpenSlide
  OpenSlide is a C library that provides a simple interface to read whole-slide
  images also known as virtual slides.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_clean:
	rm -f src/callgrind.h
	rm -f src/valgrind.h
	dh_clean

get-orig-source:
	./debian/get-orig-source

VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)

# I could not get spaces working, instead duplicate boilerplate code:
ListofKnownProperties.html:
	wget -O $@ http://openslide.org/List%20of%20Known%20Properties/
Trestleformat.html:
	wget -O $@ http://openslide.org/Trestle%20format/
Hamamatsuformat.html:
	wget -O $@ http://openslide.org/Hamamatsu%20format/
Aperioformat.html:
	wget -O $@ http://openslide.org/Aperio%20format/
MIRAXformat.html:
	wget -O $@ http://openslide.org/MIRAX%20format/
GenerictiledTIFFformat.html:
	wget -O $@ http://openslide.org/Generic%20tiled%20TIFF%20format/

%.xml: %.html
	xsltproc --output $<.dummy.xml --html debian/process.xsl $<
	sed -i -e 's/BEGIN SECTION/<refsection>/g' -e 's@END SECTION@</refsection>@g' $<.dummy.xml
	xmllint --output $@ --format $<.dummy.xml
	rm $<.dummy.xml

debian/openslide-show-properties.1 : ListofKnownProperties.xml Trestleformat.xml Hamamatsuformat.xml Aperioformat.xml MIRAXformat.xml GenerictiledTIFFformat.xml debian/openslide-show-properties.1.xml
	(cd debian && xsltproc --xinclude /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl openslide-show-properties.1.xml)

# DO NOT USE for now
#debian/openslide-quickhash1sum.1: debian/openslide-quickhash1sum.1.in
#	help2man --include=$< --output=$@ \
#		--no-info `basename $@ .1` --version-string=$(VER_FULL) --no-discard-stderr
#
#debian/openslide-write-png.1: debian/openslide-write-png.1.in
#	help2man --include=$< --output=$@ \
#		--name="Write a fragment of a virtual slide to a PNG" \
#		--no-info `basename $@ .1` --help-option=-usage --version-string=$(VER_FULL)

## openslide 3.2.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,7 +37,7 @@
 # definine the library version
 set(OPENSLIDE_WORLD_VERSION "3")
 set(OPENSLIDE_MAJOR_VERSION "2")
-set(OPENSLIDE_MINOR_VERSION "5")
+set(OPENSLIDE_MINOR_VERSION "6")
 set(OPENSLIDE_VERSION_NUMBER ${OPENSLIDE_WORLD_VERSION}.${OPENSLIDE_MAJOR_VERSION}.${OPENSLIDE_MINOR_VERSION})
 
 # create a config.h header-file

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -122,8 +122,8 @@
   if(OPENSLIDE_USE_DEBUG_POSTFIX)
     # try to find the library extension and inject the ${CMAKE_DEBUG_POSTFIX}
     # search for .a or .lib
-    string(REGEX MATCH "[.]([lL][iI][bB]|[aA])" LIB_EXTERNSION "${l}")
-    string(REGEX REPLACE "[.]([lL][iI][bB]|[sS][oO])" "${CMAKE_DEBUG_POSTFIX}${LIB_EXTERNSION}" DEBUG_${l} "${l}")
+    string(REGEX MATCH "[.]([lL][iI][bB]|[aA])" LIB_EXTENSION "${l}")
+    string(REGEX REPLACE "[.]([lL][iI][bB]|[sS][oO])" "${CMAKE_DEBUG_POSTFIX}${LIB_EXTENSION}" DEBUG_${l} "${l}")
 
     # in case it is not there, revert to the initial library name
     if(NOT EXISTS "${DEBUG_${l}}")

=== test/CMakeLists.txt ===
enable_testing()

# configure the build's output directories for the test folder
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin) # .exe, .dll
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib) # .so
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib) # .lib .a

include_directories(${GTK2_GLIB_INCLUDE_DIR})
include_directories(${GTK2_CAIRO_INCLUDE_DIR})
include_directories(${GTK2_GLIBCONFIG_INCLUDE_DIR})

if(MSVC_IDE)
	set_source_files_properties("test.c" PROPERTIES LANGUAGE CXX)
endif()

add_executable(openslide_test "test.c")
target_link_libraries(openslide_test openslide)

=== debian/changelog ===
openslide (3.2.6-2) unstable; urgency=low

  * Rebuild against libtiff5
  * Use my @d.o alias, remove DMUA flag
  * Add missing copyrights in d/copyright
  * Use dh(9) for hardening flags
  * Make multiarch

 -- Mathieu Malaterre <malat@debian.org>  Wed, 11 Apr 2012 12:15:58 +0200

openslide (3.2.6-1) unstable; urgency=low

  * Fix regression in openslide_read_region introduced in 3.2.5
  * Bump Std-Ver to 3.9.3, no changes needed.
  * Replace DEP5 with Copyright Format 1.0.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 26 Feb 2012 22:10:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>
-Build-Depends: debhelper (>= 8),
- libjpeg-dev, libopenjpeg-dev, zlib1g-dev, libtiff-dev, libgtk2.0-dev
-Standards-Version: 3.9.2
+Uploaders: Mathieu Malaterre <malat@debian.org>
+Build-Depends: debhelper (>= 9),
+ libjpeg-dev, libopenjpeg-dev, zlib1g-dev, libtiff5-dev, libgtk2.0-dev
+Standards-Version: 3.9.3
 Homepage: http://openslide.org
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/openslide/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/openslide/trunk/
@@ -14,6 +13,7 @@
 Package: libopenslide0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: library for reading whole slide image files
  OpenSlide is a C library that provides a simple interface to read whole-slide
  images also known as virtual slides.

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	rm $<.dummy.xml
 
 debian/openslide-show-properties.1 : ListofKnownProperties.xml Trestleformat.xml Hamamatsuformat.xml Aperioformat.xml MIRAXformat.xml GenerictiledTIFFformat.xml debian/openslide-show-properties.1.xml
-	(cd debian && xsltproc --xinclude /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl openslide-show-properties.1.xml)
+	(cd debian && xsltproc --xinclude openslide-show-properties.1.xml)
 
 # DO NOT USE for now
 #debian/openslide-quickhash1sum.1: debian/openslide-quickhash1sum.1.in

=== debian/watch ===
version=3
http://githubredir.debian.net/github/openslide/openslide/ v(.*).tar.gz

## openslide 3.3.2

=== debian/changelog ===
openslide (3.3.2-1) unstable; urgency=low

  * New upstream: fixes seams in MIRAX 2.2 slides
  * Make sure that build is verbose

 -- Mathieu Malaterre <malat@debian.org>  Tue, 11 Dec 2012 09:42:54 +0100

openslide (3.3.1-1) unstable; urgency=low

  * New upstream
  * Update man page
  * remove patches applied upstream:
    - debian/patches/remove_valgrind.patch
    - debian/patches/remove_calgrind.patch
  * Add missing B-D: libxml2-dev 

 -- Mathieu Malaterre <malat@debian.org>  Sun, 21 Oct 2012 18:37:54 +0200

## openslide 3.3.3

=== debian/changelog ===
openslide (3.3.3-1) unstable; urgency=low

  * New upstream: adds minor compatibility improvements for Aperio JP2K

 -- Mathieu Malaterre <malat@debian.org>  Wed, 17 Apr 2013 16:39:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
 Build-Depends: debhelper (>= 9),
- libjpeg-dev, libopenjpeg-dev, zlib1g-dev, libtiff5-dev, libgtk2.0-dev
+ libjpeg-dev, libopenjpeg-dev, zlib1g-dev, libtiff5-dev, libgtk2.0-dev, libxml2-dev
 Standards-Version: 3.9.3
 Homepage: http://openslide.org
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/openslide/trunk/

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --parallel

# by default build is not verbose enough to check build flags:
override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

get-orig-source:
	uscan --verbose --force-download --rename

VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)

# I could not get spaces working, instead duplicate boilerplate code:
ListofKnownProperties.html:
	wget -O $@ http://openslide.org/properties/
Trestleformat.html:
	wget -O $@ http://openslide.org/formats/trestle/
Hamamatsuformat.html:
	wget -O $@ http://openslide.org/formats/hamamatsu/
Aperioformat.html:
	wget -O $@ http://openslide.org/formats/aperio/
MIRAXformat.html:
	wget -O $@ http://openslide.org/formats/mirax/
GenerictiledTIFFformat.html:
	wget -O $@ http://openslide.org/formats/generic-tiff/

%.xml: %.html
	xsltproc --nonet --output $<.dummy.xml --html debian/process.xsl $<
	sed -i -e 's/BEGIN SECTION/<refsection>/g' -e 's@END SECTION@</refsection>@g' $<.dummy.xml
	xmllint --nonet --output $@ --format $<.dummy.xml
	rm $<.dummy.xml

debian/openslide-show-properties.1 : ListofKnownProperties.xml Trestleformat.xml Hamamatsuformat.xml Aperioformat.xml MIRAXformat.xml GenerictiledTIFFformat.xml debian/openslide-show-properties.1.xml
	(cd debian && sed -e 's@VER_FULL@$(VER_FULL)@g' openslide-show-properties.1.xml > openslide.tmp.xml)
	(cd debian && xsltproc --xinclude openslide.tmp.xml)

# DO NOT USE for now
debian/openslide-quickhash1sum.1: debian/openslide-quickhash1sum.1.in
	help2man --include=$< --output=$@ \
		--no-info `basename $@ .1` --version-string=$(VER_FULL) --no-discard-stderr

debian/openslide-write-png.1: debian/openslide-write-png.1.in
	help2man --include=$< --output=$@ \
		--no-info `basename $@ .1` --version-string=$(VER_FULL) --no-discard-stderr

## openslide 3.4.0

=== debian/changelog ===
openslide (3.4.0-1) unstable; urgency=low

  * New upstream, Closes: #735382, #732273, #734375
  * Move openslide supported file format doc to openslide-formats.3
  * Add new depends to sqlite3
  * Bump Std-Vers to 3.9.5 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Sun, 26 Jan 2014 09:27:48 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
 Build-Depends: debhelper (>= 9),
- libjpeg-dev, libopenjpeg-dev, zlib1g-dev, libtiff5-dev, libgtk2.0-dev, libxml2-dev
-Standards-Version: 3.9.3
+ libjpeg-dev, libopenjpeg-dev, zlib1g-dev, libtiff-dev, libgtk2.0-dev, libxml2-dev, libsqlite3-dev
+Standards-Version: 3.9.5
 Homepage: http://openslide.org
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/openslide/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/openslide/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/openslide/trunk/
 
 Package: libopenslide0
 Architecture: any
@@ -28,11 +28,13 @@
  particular resolution.
  .
  This library currently supports:
-  -Trestle (.tif)
-  -Hamamatsu (.vms, .vmu)
-  -Aperio (.svs, .tif)
-  -MIRAX (.mrxs)
-  -Generic tiled TIFF (.tif)
+  - Aperio (.svs, .tif)
+  - Hamamatsu (.vms, .vmu, .ndpi)
+  - Leica (.scn)
+  - MIRAX (.mrxs)
+  - Sakura (.svslide)
+  - Trestle (.tif)
+  - Generic tiled TIFF (.tif)
  .
  This package contains the libraries needed to run OpenSlide applications.
 
@@ -55,11 +57,13 @@
  particular resolution.
  .
  This library currently supports:
-  -Trestle (.tif)
-  -Hamamatsu (.vms, .vmu)
-  -Aperio (.svs, .tif)
-  -MIRAX (.mrxs)
-  -Generic tiled TIFF (.tif)
+  - Aperio (.svs, .tif)
+  - Hamamatsu (.vms, .vmu, .ndpi)
+  - Leica (.scn)
+  - MIRAX (.mrxs)
+  - Sakura (.svslide)
+  - Trestle (.tif)
+  - Generic tiled TIFF (.tif)
  .
  This package contains development files needed to build OpenSlide applications.
 
@@ -82,10 +86,12 @@
  particular resolution.
  .
  This library currently supports:
-  -Trestle (.tif)
-  -Hamamatsu (.vms, .vmu)
-  -Aperio (.svs, .tif)
-  -MIRAX (.mrxs)
-  -Generic tiled TIFF (.tif)
+  - Aperio (.svs, .tif)
+  - Hamamatsu (.vms, .vmu, .ndpi)
+  - Leica (.scn)
+  - MIRAX (.mrxs)
+  - Sakura (.svslide)
+  - Trestle (.tif)
+  - Generic tiled TIFF (.tif)
  .
  This package contains command line tools for file manipulation.

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,8 @@
 	wget -O $@ http://openslide.org/formats/hamamatsu/
 Aperioformat.html:
 	wget -O $@ http://openslide.org/formats/aperio/
+Sakuraformat.html:
+	wget -O $@ http://openslide.org/formats/sakura/
 MIRAXformat.html:
 	wget -O $@ http://openslide.org/formats/mirax/
 GenerictiledTIFFformat.html:
@@ -33,15 +35,15 @@
 	xmllint --nonet --output $@ --format $<.dummy.xml
 	rm $<.dummy.xml
 
-debian/openslide-show-properties.1 : ListofKnownProperties.xml Trestleformat.xml Hamamatsuformat.xml Aperioformat.xml MIRAXformat.xml GenerictiledTIFFformat.xml debian/openslide-show-properties.1.xml
-	(cd debian && sed -e 's@VER_FULL@$(VER_FULL)@g' openslide-show-properties.1.xml > openslide.tmp.xml)
+debian/openslide-formats.3 : ListofKnownProperties.xml Trestleformat.xml Hamamatsuformat.xml Aperioformat.xml Sakuraformat.xml MIRAXformat.xml GenerictiledTIFFformat.xml debian/openslide-formats.3.xml
+	(cd debian && sed -e 's@VER_FULL@$(VER_FULL)@g' openslide-formats.3.xml > openslide.tmp.xml)
 	(cd debian && xsltproc --xinclude openslide.tmp.xml)
 
 # DO NOT USE for now
-debian/openslide-quickhash1sum.1: debian/openslide-quickhash1sum.1.in
-	help2man --include=$< --output=$@ \
-		--no-info `basename $@ .1` --version-string=$(VER_FULL) --no-discard-stderr
-
-debian/openslide-write-png.1: debian/openslide-write-png.1.in
-	help2man --include=$< --output=$@ \
-		--no-info `basename $@ .1` --version-string=$(VER_FULL) --no-discard-stderr
+#debian/openslide-quickhash1sum.1: debian/openslide-quickhash1sum.1.in
+#	help2man --include=$< --output=$@ \
+#		--no-info `basename $@ .1` --version-string=$(VER_FULL) --no-discard-stderr
+#
+#debian/openslide-write-png.1: debian/openslide-write-png.1.in
+#	help2man --include=$< --output=$@ \
+#		--no-info `basename $@ .1` --version-string=$(VER_FULL) --no-discard-stderr

=== debian/watch ===
version=3
http://openslide.org/download \
.*/openslide-([\d\.]+)\.tar\.xz

## openslide 3.4.1+dfsg

=== debian/changelog ===
openslide (3.4.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version using openjpeg2 (libopenjp2-7-dev)
    Closes: #826824, #814222
  * DEP5 fixes
  * cme fix dpkg-control
  * hardening=+all
  * remove jquery.js from source
  * moved packaging from SVN to Git

 -- Andreas Tille <tille@debian.org>  Sun, 10 Jul 2016 08:42:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,25 @@
 Source: openslide
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Mathieu Malaterre <malat@debian.org>
 Section: libs
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Mathieu Malaterre <malat@debian.org>
 Build-Depends: debhelper (>= 9),
- libjpeg-dev, libopenjpeg-dev, zlib1g-dev, libtiff-dev, libgtk2.0-dev, libxml2-dev, libsqlite3-dev
-Standards-Version: 3.9.5
+               libjpeg-dev,
+               libopenjp2-7-dev,
+               zlib1g-dev,
+               libtiff-dev,
+               libgtk2.0-dev,
+               libxml2-dev,
+               libsqlite3-dev
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/openslide.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/openslide.git
 Homepage: http://openslide.org
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/openslide/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/openslide/trunk/
 
 Package: libopenslide0
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: library for reading whole slide image files
  OpenSlide is a C library that provides a simple interface to read whole-slide
@@ -39,10 +46,11 @@
  This package contains the libraries needed to run OpenSlide applications.
 
 Package: libopenslide-dev
+Architecture: any
+Section: libdevel
+Depends: ${misc:Depends},
+         libopenslide0 (= ${binary:Version})
 Provides: libopenslide0-dev
-Section: libdevel
-Architecture: any
-Depends: ${misc:Depends}, libopenslide0 (= ${binary:Version})
 Description: Development files for the OpenSlide library
  OpenSlide is a C library that provides a simple interface to read whole-slide
  images also known as virtual slides.
@@ -68,9 +76,10 @@
  This package contains development files needed to build OpenSlide applications.
 
 Package: openslide-tools
+Architecture: any
 Section: graphics
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Suggests: libtiff-tools
 Description: Manipulation and conversion tools for OpenSlide
  OpenSlide is a C library that provides a simple interface to read whole-slide

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --parallel

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,compression=xz" \
   http://openslide.org/download .*/openslide-([\d\.]+)\.tar\.xz
